Regarding Java12 and JavaXX Support


#1

What is the plan from Aspose for official support for each 6 month release of Java? For instance when will you support Java12?


#2

@dfplive

Could you please share which Aspose products you want to use with Java 12? We will then answer your query accordingly.


#3

email, slides, pdf, words, cells.

I have tested it and the main issue is more illegal access warnings. see SLIDESJAVA-37669 for an example


#4

@dfplive

For Aspose.PDF and Aspose.Words, we have logged tickets as PDFJAVA-38732 and WORDSJAVA-2149 to support Java 12. You will be notified via this forum thread once these issues are resolved.

For Aspose.Email and Aspose.Cells, we will update you soon.

We apologize for your inconvenience.


#5

Thank you it is not an inconvenience. I would like to know the plan for this for each future release of Java. For instance Java13 releases in about 45 days. Maybe it would be more import to release to Java13 and not Java12, but then Java14 is 6 months behind that. get it?


#6

@dfplive

For Aspose.Email and Aspose.Cells, we have logged tickets as EMAILJAVA-34560 and CELLSJAVA-42969 to support Java 12.

We will inform you via this forum thread once these issues are resolved.


#7

@dfplive

Regarding WORDSJAVA-2149, please use the latest version of Aspose.Words for Java 19.7. This version does support Java 12. You only need to follow standard recommendations for modern versions of JDK: add JavaFX as dependency, replace com.sun.rowset.CachedRowSetImpl with javax.sql.rowset.CachedRowSet , etc.


#8

@dfplive,
This is to inform you that we have fixed your issue (logged earlier as “CELLSJAVA-42969”) now. We will soon provide you the fixed version after performing QA and incorporating other enhancements and fixes.


#9

The issues you have found earlier (filed as WORDSJAVA-2149) have been fixed in this Aspose.Words for .NET 19.8 update and this Aspose.Words for Java 19.8 update.


#10

The issues you have found earlier (filed as CELLSJAVA-42969) have been fixed in Aspose.Cells for Java v19.8. This message was posted using BugNotificationTool from Downloads module by ahsaniqbalsidiqui